<html>
<head>
<title>OGRE: Ogre::FrameEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1FrameEvent.html">FrameEvent</a></div>
<h1>Ogre::FrameEvent Struct Reference</h1><!-- doxytag: class="Ogre::FrameEvent" -->Struct containing information about a frame event.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1FrameEvent-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FrameEvent.html#b772e995840b64e5f0bff08cdc29abd5">timeSinceLastEvent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Elapsed time in seconds since the last event.  <a href="#b772e995840b64e5f0bff08cdc29abd5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1FrameEvent.html#df69bb72418f50afcbf5b55ce0745b31">timeSinceLastFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Elapsed time in seconds since the last event of the same type, i.e.  <a href="#df69bb72418f50afcbf5b55ce0745b31"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct containing information about a frame event. 
<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00039">39</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b772e995840b64e5f0bff08cdc29abd5"></a><!-- doxytag: member="Ogre::FrameEvent::timeSinceLastEvent" ref="b772e995840b64e5f0bff08cdc29abd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1FrameEvent.html#b772e995840b64e5f0bff08cdc29abd5">Ogre::FrameEvent::timeSinceLastEvent</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Elapsed time in seconds since the last event. 
<p>
This gives you time between frame start &amp; frame end, and between frame end and next frame start. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This may not be the elapsed time but the average elapsed time between recently fired events. </dd></dl>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00048">48</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df69bb72418f50afcbf5b55ce0745b31"></a><!-- doxytag: member="Ogre::FrameEvent::timeSinceLastFrame" ref="df69bb72418f50afcbf5b55ce0745b31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1FrameEvent.html#df69bb72418f50afcbf5b55ce0745b31">Ogre::FrameEvent::timeSinceLastFrame</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Elapsed time in seconds since the last event of the same type, i.e. 
<p>
time for a complete frame. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This may not be the elapsed time but the average elapsed time between recently fired events of the same type. </dd></dl>

<p>Definition at line <a class="el" href="OgreFrameListener_8h-source.html#l00055">55</a> of file <a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreFrameListener_8h-source.html">OgreFrameListener.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:43 2008
</p>
</body>
</html>
